PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
pw_client_node_buffer Struct Reference
Extensions » Client Node

information about a buffer More...

`#include <pipewire/extensions/client-node.h>`

## Data Fields
uint32_t | mem_id
| the memory id for the metadata
uint32_t | offset
| offset in memory
uint32_t | size
| size in memory
struct spa_buffer * | buffer
| buffer describing metadata and buffer memory

## Detailed Description

information about a buffer

## Field Documentation

## ◆ mem_id

uint32_t pw_client_node_buffer::mem_id

the memory id for the metadata

## ◆ offset

uint32_t pw_client_node_buffer::offset

offset in memory

## ◆ size

uint32_t pw_client_node_buffer::size

size in memory

## ◆ buffer

struct spa_buffer* pw_client_node_buffer::buffer

buffer describing metadata and buffer memory

The documentation for this struct was generated from the following file:

- pipewire/extensions/client-node.h